Redmine - Defect #19065

API: issue details created_on timestamp not formatted as expected
2015-02-09 16:16 - Ruslan Kabalin

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 2.6.2

Resolution: Fixed Affected version: 2.6.1
Description

Hello, it seems like there is something wrong with create_on format for journal entry in the latest 2.6-stable when data it retrieved
using API. The time is not in ISO 8601 for journal entry, but the time fields in the issue details are still in ISO 8601. See attached
screenshots.

Related issues:
Has duplicate Redmine - Defect #19227: Users.xml broken Closed

Associated revisions

Revision 14015 - 2015-02-16 18:57 - Jean-Philippe Lang

Fixed that timestamps may not be formatted as expected in XML responses (#19065).

Revision 14024 - 2015-02-18 12:42 - Jean-Philippe Lang
Merged r14015 (#19065).

History

#1 - 2015-02-09 16:18 - Ruslan Kabalin

| think timestamp format in journal entries should match the one in issue details (should be ISO 8601).

#2 - 2015-02-09 16:50 - Toshi MARUYAMA
- Category set to REST API

- Target version set to 2.6.2

#3 - 2015-02-16 19:00 - Jean-Philippe Lang

- Subject changed from api: issue details created_on timestamp inconsistency to API: issue details created _on timestamp not formatted as expected
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14015, thanks for pointing this out.

#4 - 2015-02-18 12:42 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2015-03-07 08:56 - Toshi MARUYAMA
- Has duplicate Defect #19227: Users.xml broken added
